/*
	Sokonux - 1.0.3
  Copyright (C) 2007  Daniel Ponsoda Montiel

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef Casilla_h
#define Casilla_h

#include "Widget.h"

/**
 * Clase Casilla heredada de Widget
 * Su funcionamiento es basicamente el mismo que el padre, pero el dibujado
 * y la deteccion del raton se hace realizando el desvio de la altura de
 * cada elemento.
 */
class Casilla : public Widget {

  public:
    // Constructor y destructor
    Casilla(char *ficheroImagen);
    virtual ~Casilla();

  public:
    // Dibuja la casilla
    void dibujar(int x, int y);

    // Detecta el raton sobre la casilla
    DWORD detectarRaton(int x, int y);
};

#endif
