/*
	Sokonux - 1.0.3
  Copyright (C) 2007  Daniel Ponsoda Montiel

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef NULL
#define NULL 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif

// Byte
#ifndef BYTE
#define BYTE unsigned char
#endif

// Palabra
#ifndef WORD
#define WORD unsigned short
#endif

// Doble palabra
#ifndef DWORD
#define DWORD unsigned int
#endif

#ifndef _STRUCTS
#define _STRUCTS

// Formato de color para analizar graficos de 24 bits
typedef struct COLOR24
{
  BYTE b;
  BYTE g;
  BYTE r;
};

// Formato de color para analizar graficos de 32 bits
typedef struct COLOR32
{
  BYTE b;
  BYTE g;
  BYTE r;
  BYTE a;
};


// Posicion y dimensiones de un cuadrado
typedef struct CUADRO
{
  int     x;
  int     y;
  int     an;
  int     al;
  CUADRO* padre;
};

typedef struct INFOTEXTO{
  int id;
  char* cadena;
  int x,y;
  DWORD colorTexto;
  DWORD colorSombra;
  DWORD colorRaton;
  DWORD fuente;
  int   despSombra;
  DWORD flags;
};


#endif


